ros-kilted-mola-viz (2.8.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 28 Apr 2026 22:00:00 -0000

ros-kilted-mola-viz (2.7.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 21 Apr 2026 22:00:00 -0000

ros-kilted-mola-viz (2.6.1-1noble) noble; urgency=high

  * Merge pull request #116 <https://github.com/MOLAorg/mola/issues/116> from MOLAorg/update-rds-gui
    Update RDS gui creation to new backend agnostic API
  * Add missing nanogui layout
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 01 Apr 2026 22:00:00 -0000

ros-kilted-mola-viz (2.6.0-1noble) noble; urgency=high

  * Merge pull request #113 <https://github.com/MOLAorg/mola/issues/113> from MOLAorg/feat/kf-map-view-vectors
    Feat:kf map view vectors filter for NN search
  * comments formatting
  * Merge pull request #109 <https://github.com/MOLAorg/mola/issues/109> from MOLAorg/feat/support-imgui
    Feature: GUI backend agnostic API in mola_kernel (Step towards supporting imgui)
  * safer multithread
  * Several visual and safety fixes in the new GUI interface
  * Use safer livestring registry
  * minor fixes
  * Add support for menu bars
  * MolaViz implements the new backend agnostic API
  * Merge pull request #107 <https://github.com/MOLAorg/mola/issues/107> from MOLAorg/fix/viz-decay-clouds
    Fix/viz-decay-clouds
  * Refactor decay-clouds so they are invariant to wallclock incoming speed
  * Update coyright notes
  * fix clang-tidy warnings
  * Contributors: Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 11 Mar 2026 23:00:00 -0000

ros-kilted-mola-viz (2.5.0-1noble) noble; urgency=high

  * Fix: mola_viz lidar preview didn't filter Inf ranges in stats
  * Merge pull request #99 <https://github.com/MOLAorg/mola/issues/99> from MOLAorg/feat/ros2-bridge-pub-geographic
    ROS2 bridge: publish geographic poses too
  * ros2 bridge: use geographic_msgs, store the last georeference info internally, and publish georef poses
    merge of these commits:
    - Enable many more clang-tidy checks
    - lint clean
    - implement publishing georeferenced poses
    - mola-viz: fix potential crash on edge case with all points having NaN value
    - FIX: potential crash if no MapServer is present and map services are called
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 13 Feb 2026 23:00:00 -0000

ros-kilted-mola-viz (2.4.0-1noble) noble; urgency=high

  * Fix build against upcoming mrpt 2.15.4
  * Prepare for deprecated mrpt::maps classes towards mrpt 3.0.0
  * viz pointclouds preview: fix missing uint8_t fields
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 27 Dec 2025 23:00:00 -0000

ros-kilted-mola-viz (2.3.0-1noble) noble; urgency=high

  * Fix: missing uint fields stats in PCD preview GUI in mola_viz
  * mola-viz: fix NaNs in range of each point channel preview window
  * Viz: Fix handling multi-line messages in the UI terminal
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 14 Dec 2025 23:00:00 -0000

ros-kilted-mola-viz (2.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 07 Nov 2025 23:00:00 -0000

ros-kilted-mola-viz (2.2.0-1noble) noble; urgency=high

  * format
  * Upgrade to use the upcoming MRPT 2.15 API for CGenericsPointsMap
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 Oct 2025 23:00:00 -0000

ros-kilted-mola-viz (2.1.0-1noble) noble; urgency=high

  * FIX: Show correct sensor rate in Hz when visualizing with a decimation
  * Fix clang-tidy warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 19 Oct 2025 22:00:00 -0000

ros-kilted-mola-viz (2.0.0-1noble) noble; urgency=high

  * Merge pull request #93 <https://github.com/MOLAorg/mola/issues/93> from MOLAorg/feature/better-lio
    Changes for new LIO
  * Fix warnings
  * fix build against old mrpt versions
  * Implement removal of decayed clouds
  * MolaViz: Add method clear_all_point_clouds_with_decay()
  * MolaViz: Add support for inserting clouds with decay_time
  * fix clang-format
  * Allow extra parameters in mola_viz per-sensor preview windows
  * MolaViz: show min/max intensity in input sensor point clouds
  * Remove old code that was needed to support very old MRPT versions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 12 Oct 2025 22:00:00 -0000

ros-kilted-mola-viz (1.9.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 06 Jul 2025 22:00:00 -0000

ros-kilted-mola-viz (1.9.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 05 Jun 2025 22:00:00 -0000

ros-kilted-mola-viz (1.8.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 May 2025 22:00:00 -0000

ros-kilted-mola-viz (1.8.0-1noble) noble; urgency=high

  * Implement new virtual Viz methods
  * Update copyright year
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 24 May 2025 22:00:00 -0000

ros-kilted-mola-viz (1.7.0-1noble) noble; urgency=high

  * Metric maps can now be rendered as semitransparent pointclouds
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 05 May 2025 22:00:00 -0000

ros-kilted-mola-viz (1.6.4-1noble) noble; urgency=high

  * modernize clang-format
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 22 Apr 2025 22:00:00 -0000

ros-kilted-mola-viz (1.6.3-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 14 Mar 2025 23:00:00 -0000

ros-kilted-mola-viz (1.6.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 21 Feb 2025 23:00:00 -0000

ros-kilted-mola-viz (1.6.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 12 Feb 2025 23:00:00 -0000

ros-kilted-mola-viz (1.6.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 20 Jan 2025 23:00:00 -0000

ros-kilted-mola-viz (1.5.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Dec 2024 23:00:00 -0000

ros-kilted-mola-viz (1.5.0-1noble) noble; urgency=high

  * Drop dependency on mrpt-gui in kernel by abstracting MolaViz subwindow layout operations
  * MolaViz: show package name in GUI windows
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 25 Dec 2024 23:00:00 -0000

ros-kilted-mola-viz (1.4.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 19 Dec 2024 23:00:00 -0000

ros-kilted-mola-viz (1.4.0-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 17 Dec 2024 23:00:00 -0000

ros-kilted-mola-viz (1.3.0-1noble) noble; urgency=high

  * mola_viz: Show IMU data in the GUI too
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 10 Dec 2024 23:00:00 -0000

ros-kilted-mola-viz (1.2.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 28 Sep 2024 22:00:00 -0000

ros-kilted-mola-viz (1.2.0-1noble) noble; urgency=high

  * mola_viz: do not add a XY ground grid by default to all GUIs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 15 Sep 2024 22:00:00 -0000

ros-kilted-mola-viz (1.1.3-1noble) noble; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 27 Aug 2024 22:00:00 -0000

ros-kilted-mola-viz (1.1.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 25 Aug 2024 22:00:00 -0000

ros-kilted-mola-viz (1.1.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 22 Aug 2024 22:00:00 -0000

ros-kilted-mola-viz (1.1.0-1noble) noble; urgency=high

  * Update clang-format style; add reformat bash script
  * Merge pull request #62 <https://github.com/MOLAorg/mola/issues/62> from MOLAorg/docs-fixes
    Docs fixes
  * Fix ament_xmllint warnings in package.xml
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sat, 17 Aug 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.8-1noble) noble; urgency=high

  * ament_lint_cmake: clean warnings
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.7-1noble) noble; urgency=high

  * Viz interface: add API for rotate camera
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 23 Jul 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.6-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 20 Jun 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.5-1noble) noble; urgency=high

  * viz: fix mismatched free/delete inside nanogui layout
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 27 May 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.4-1noble) noble; urgency=high

  * bump cmake_minimum_required to 3.5
  * MolaViz: BUGFIX: shared_ptr were captured by lambdas, delaying proper dtors. Replaced by weak_ptr's
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 13 May 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.3-1noble) noble; urgency=high

  * Fix package.xml website URL
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Sun, 21 Apr 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.2-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 03 Apr 2024 22:00:00 -0000

ros-kilted-mola-viz (1.0.1-1noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-mola-viz (1.0.0-1noble) noble; urgency=high

  * ROS2 launch demos
  * use new mrpt GPS covariance field
  * visualize sensor pose
  * mola_kernel: new UI interface for datasets
  * mola-viz: show image channel of RGBD observations
  * Fix sensorPose on lidar preview
  * Viz: show GPS data
  * mola_viz: add custom icon
  * viz: more options to visualize RGBD camera observations
  * viz API: add enqueue_custom_nanogui_code()
  * viz console: add fading effect
  * mola_viz: show console messages
  * Correct usage of mola:: namespace in cmake targets
  * copyright update
  * mola_viz: support visualizing velodyne observations
  * Add look_at() viz interface
  * Fewer mutex locking()
  * reorganize as monorepo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Mon, 18 Mar 2024 23:00:00 -0000

ros-kilted-mola-viz (0.2.2-1noble) noble; urgency=high

  * Initial public release.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000


